aboutsummaryrefslogtreecommitdiff
path: root/src/buildall.bash
diff options
context:
space:
mode:
authorShenghou Ma <minux@golang.org>2015-05-16 20:05:58 -0400
committerMinux Ma <minux@golang.org>2015-05-17 01:40:33 +0000
commit0b9866fd561d5ecebee14d73c0a4938dec5abe7d (patch)
tree4c314ba5029926e6ce97e5510b417781e99e7765 /src/buildall.bash
parenta0fc306023d77e5605203c14ca92f368bdbce3ae (diff)
downloadgo-0b9866fd561d5ecebee14d73c0a4938dec5abe7d.tar.gz
go-0b9866fd561d5ecebee14d73c0a4938dec5abe7d.zip
buildall.bash: exit 1 when make.bash fails
If make.bash fails, there is no point continuing any further. Fixes #10880. Change-Id: I350cc16999372422ad3d2e0327d52d467886a5b1 Reviewed-on: https://go-review.googlesource.com/10180 Reviewed-by: Brad Fitzpatrick <bradfitz@golang.org>
Diffstat (limited to 'src/buildall.bash')
-rwxr-xr-xsrc/buildall.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/buildall.bash b/src/buildall.bash
index a07529e733..ba23d31a50 100755
--- a/src/buildall.bash
+++ b/src/buildall.bash
@@ -36,7 +36,7 @@ fi
targets="$((ls runtime | sed -n 's/^rt0_\(.*\)_\(.*\)\.s/\1-\2/p'; echo linux-386-387 linux-arm-arm5) | sort | egrep -v android-arm | egrep "$pattern" | egrep 'linux|nacl')
$(ls runtime | sed -n 's/^rt0_\(.*\)_\(.*\)\.s/\1-\2/p' | egrep -v 'android-arm|darwin-arm' | egrep "$pattern" | egrep -v 'linux|nacl')"
-./make.bash
+./make.bash || exit 1
GOROOT="$(cd .. && pwd)"
failed=false